From 981e315b30bb50cbb2b7375665f0f11d0d567703 Mon Sep 17 00:00:00 2001
From: barracuda156 <vital.had@gmail.com>
Date: Thu, 14 Dec 2023 12:01:31 +0800
Subject: [PATCH] cc.cmake: use -force_cpusubtype_ALL for Darwin PPC

---
 cmake/cc.cmake | 6 ++++++
 1 file changed, 6 insertions(+)

diff --git cmake/cc.cmake cmake/cc.cmake
index ac8661a7b..d5bf3b7ee 100644
--- cmake/cc.cmake
+++ cmake/cc.cmake
@@ -286,12 +286,18 @@ if (${CORE} STREQUAL PPC970)
   if (NOT DYNAMIC_ARCH)
     set (CCOMMON_OPT  "${CCOMMON_OPT} -mcpu=970 -mtune=970 -maltivec -fno-fast-math")
   endif ()
+  if (APPLE)
+    set (CCOMMON_OPT  "${CCOMMON_OPT} -force_cpusubtype_ALL")
+  endif ()
 endif ()
 
 if (${CORE} STREQUAL PPCG4)
   if (NOT DYNAMIC_ARCH)
     set (CCOMMON_OPT  "${CCOMMON_OPT} -mcpu=G4 -mtune=G4 -maltivec -fno-fast-math")
   endif ()
+  if (APPLE)
+    set (CCOMMON_OPT  "${CCOMMON_OPT} -force_cpusubtype_ALL")
+  endif ()
 endif ()
 
 if (NOT DYNAMIC_ARCH)
